Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class RequestType

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType`

Direct Known Subclasses:
  Request

public abstract class RequestType
extends SAMLMessage

An abstract class representing the SAML RequestAbstractType which defines common attributes and elements that are associated with all SAML requests.

Field Summary
`static java.lang.String` | `ATTRIBUTE_STATEMENT` `RespondWith` value specifying that the relying party should respond with this kind of statement: "AttributeStatement".
`static java.lang.String` | `AUTHENTICATION_STATEMENT` `RespondWith` value specifying that the relying party should respond with this kind of statement: "AuthenticationStatement".
`static java.lang.String` | `AUTHORIZATION_DECISION_STATEMENT` `RespondWith` value specifying that the relying party should respond with this kind of statement: "AuthorizationDecisionStatement".

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `RequestType(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `RequestType` instance.
`protected` | `RequestType(org.w3c.dom.Element element)` Creates a new `RequestType` instance from the given Element node.
`protected` | `RequestType(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RequestType` instance from the given Element node.

Method Summary
`void` | `addRespondWith(java.lang.String localValue, java.lang.String namespace)` Deprecated. Use addRespondWithValue instead.
`void` | `addRespondWithValue(oracle.security.xmlsec.util.QName qname)` Adds a `RespondWith` element to the request.
`protected java.lang.String` | `getID()` Returns the ID attribute if any of this SAML message to be used for the signature operations.
`java.util.Date` | `getIssueInstant()` Returns the time instant of issue attribute.
`protected java.lang.String[]` | `getLocalNamesPrecedeDSig()` Obtains the ordered set of the local names of all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
`protected java.lang.String[]` | `getNSURIsPrecedeDSig()` Obtains the ordered set of the the namespace URIs for all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
`java.lang.String` | `getRequestID()` Returns the identifier attribute for this `RequestType`.
`java.util.List` | `getRespondWiths()` Deprecated. Use getRespondWithValues instead.
`java.util.List` | `getRespondWithValues()` Gets the list of QName objects specified in the RespondWith child elements in this structure.
`void` | `setIssueInstant(java.util.Date issueInstant)` Sets the time instant of issue attribute as a UTC time.
`void` | `setRequestID(java.lang.String requestID)` Sets the identifier attribute for this `RequestType` object.

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`addSignature, addSignature, clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_STATEMENT

    public static final java.lang.String ATTRIBUTE_STATEMENT

  `RespondWith` value specifying that the relying party should respond with this kind of statement: "AttributeStatement".
  See Also:
    Constant Field Values

### AUTHENTICATION_STATEMENT

    public static final java.lang.String AUTHENTICATION_STATEMENT

  `RespondWith` value specifying that the relying party should respond with this kind of statement: "AuthenticationStatement".
  See Also:
    Constant Field Values

### AUTHORIZATION_DECISION_STATEMENT

    public static final java.lang.String AUTHORIZATION_DECISION_STATEMENT

  `RespondWith` value specifying that the relying party should respond with this kind of statement: "AuthorizationDecisionStatement".
  See Also:
    Constant Field Values

Constructor Detail

### RequestType

    protected RequestType(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `RequestType` instance from the given Element node.
Parameters:
  `element` - An element of RequestType

### RequestType

    protected RequestType(org.w3c.dom.Element element,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Creates a new `RequestType` instance from the given Element node.
Parameters:
  `element` - An element of RequestType
  `systemId` - The URI string system ID for the `RequestType`.

### RequestType

    protected RequestType(org.w3c.dom.Document owner,
                          java.lang.String uri,
                          java.lang.String localName)
                   throws org.w3c.dom.DOMException

  Creates a new `RequestType` instance.
Parameters:
  `owner` - The owner document of the new RequestType.
  `localName` - The localName of the element represented by the class that extends this abstract class.

Method Detail

### setRequestID

    public void setRequestID(java.lang.String requestID)

  Sets the identifier attribute for this `RequestType` object.
  Parameters:
    `requestID` - A unique ID.

### getRequestID

    public java.lang.String getRequestID()

  Returns the identifier attribute for this `RequestType`.
  Returns:
    The String value of the ID or `null` if none has been set.

### setIssueInstant

    public void setIssueInstant(java.util.Date issueInstant)

  Sets the time instant of issue attribute as a UTC time.
  Parameters:
    `issueInstant` - The `Date` object representing the issue time.

### getIssueInstant

    public java.util.Date getIssueInstant()

  Returns the time instant of issue attribute.
  Returns:
    A `Date` object representing the issue time or `null` if none has been set.

### addRespondWith

    public void addRespondWith(java.lang.String localValue,
                               java.lang.String namespace)

  Deprecated. Use addRespondWithValue instead.
  Adds a `RespondWith` element to the request. A RespondWith element specifies a type of Statement that is acceptable to the requestor. RespondWith element values are XML QNames.
  Parameters:
    `localValue` - The local name of the QName value of the Statement.
    `namespace` - The namespace for the extension type of SAML Statement as specified in the xsi:type attribute. If this parameter is not specified, the SAML namespace is assumed.

### getRespondWiths

    public java.util.List getRespondWiths()

  Deprecated. Use getRespondWithValues instead.
  Gets the list of String objects specified in the RespondWith child elements in this structure.
  Returns:
    A `List` of String objects or an empty `List` if none has been set.

### addRespondWithValue

    public void addRespondWithValue(oracle.security.xmlsec.util.QName qname)

  Adds a `RespondWith` element to the request. A RespondWith element specifies a type of Statement that is acceptable to the requestor. RespondWith element values are XML QNames.
  Parameters:
    `qname` - The QName value of the Statement.

### getRespondWithValues

    public java.util.List getRespondWithValues()

  Gets the list of QName objects specified in the RespondWith child elements in this structure.
  Returns:
    A `List` of QName objects or an empty `List` if none has been set.

### getNSURIsPrecedeDSig

    protected java.lang.String[] getNSURIsPrecedeDSig()

  Description copied from class: `SAMLMessage`
  Obtains the ordered set of the the namespace URIs for all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
  Specified by:
    `getNSURIsPrecedeDSig` in class `SAMLMessage`

### getLocalNamesPrecedeDSig

    protected java.lang.String[] getLocalNamesPrecedeDSig()

  Description copied from class: `SAMLMessage`
  Obtains the ordered set of the local names of all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
  Specified by:
    `getLocalNamesPrecedeDSig` in class `SAMLMessage`

### getID

    protected java.lang.String getID()

  Description copied from class: `SAMLMessage`
  Returns the ID attribute if any of this SAML message to be used for the signature operations.
  Specified by:
    `getID` in class `SAMLMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.